Texa Desk Application API · Audit logs
List Audit Logs in Account
GET/
Get Details of Audit Log entries for an Account. This endpoint is only available in Enterprise editions and requires the audit_logs feature to be enabled.
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
Query parameters
pageintegerPage number for pagination
qstringFilter entries by the name or email of the user who performed the action
typesarray of stringFilter entries by the type of the audited record
sinceintegerOnly return entries created at or after this unix timestamp
untilintegerOnly return entries created at or before this unix timestamp
sortstringOrder of the entries by creation time
Responses
200Success
per_pageintegerNumber of items per page
total_entriesintegerTotal number of audit log entries
current_pageintegerCurrent page number
audit_logsarray of objectArray of audit log entries
audit_logs[].idintegerUnique identifier for the audit log entry
audit_logs[].auditable_idintegerThe ID of the audited object
audit_logs[].auditable_typestringThe type of the audited object (e.g., Conversation, Contact, User)
audit_logs[].auditableobjectThe audited object data
audit_logs[].associated_idintegerThe ID of the associated object (typically the account ID)
audit_logs[].associated_typestringThe type of the associated object
audit_logs[].user_idintegerThe ID of the user who performed the action
audit_logs[].user_typestringThe type of user who performed the action
audit_logs[].usernamestringThe email/username of the user who performed the action
audit_logs[].actionstringThe action performed on the object One of: create, update, destroy.
audit_logs[].audited_changesobjectJSON object containing the changes made to the audited object
audit_logs[].versionintegerVersion number of the audit log entry
audit_logs[].commentstringOptional comment associated with the audit log entry
audit_logs[].request_uuidstringUUID to identify the request that generated this audit log
audit_logs[].created_atintegerUnix timestamp when the audit log entry was created
audit_logs[].remote_addressstringIP address from which the action was performed
403Access denied
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring422Feature not enabled or not available in current plan
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring